Add method to write retention to configuration control files
ClosedPublic

Authored by romangg on Nov 18 2018, 11:35 PM.

Details

Summary

This patch adds a small method to ControlConfig which writes modified
retention values to the control file of the configuration.

Test Plan

Compiles.

Diff Detail

Repository
R104 KScreen
Branch
1controlWrite
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11710
Build 11728: arc lint + arc unit
romangg created this revision.Nov 18 2018, 11:35 PM
Restricted Application added a project: Plasma. · View Herald TranscriptNov 18 2018, 11:35 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
romangg requested review of this revision.Nov 18 2018, 11:35 PM
mart accepted this revision.Nov 23 2018, 11:49 AM
mart added a subscriber: mart.
mart added inline comments.
common/control.cpp
178

maybe check if it's actually a valid json document?, even just !document.isEmpty() after creating the document

This revision is now accepted and ready to land.Nov 23 2018, 11:49 AM
romangg updated this revision to Diff 57670.May 6 2019, 5:17 PM

Rebase on series changes.

romangg updated this revision to Diff 57719.May 7 2019, 1:59 PM

Rebase on series changes.

romangg updated this revision to Diff 57834.May 9 2019, 11:49 PM

Rebase on series changes.

romangg updated this revision to Diff 59669.Jun 12 2019, 4:59 PM

Rebase on master.

romangg updated this revision to Diff 59719.Jun 13 2019, 11:43 AM

Rebase on series changes.

romangg updated this revision to Diff 59721.Jun 13 2019, 11:45 AM

Fix newline

This revision was automatically updated to reflect the committed changes.